# kio Library API Documentation

Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Source Files

# KFileIconViewItem Class Reference

An item for the iconview, that has a reference to its corresponding KFileItem. More...

`#include <kfileiconview.h>`

Inheritance diagram for KFileIconViewItem:

[legend]
Collaboration diagram for KFileIconViewItem:

[legend]
List of all members.

## Public Member Functions

| KFileIconViewItem (QIconView *parent, const QString &text, const QPixmap &pixmap, KFileItem *fi)
| KFileIconViewItem (QIconView *parent, KFileItem *fi)

Since:
  3.1

KFileItem * | fileInfo () const

## Detailed Description

An item for the iconview, that has a reference to its corresponding KFileItem.

Definition at line 39 of file kfileiconview.h.

## Constructor & Destructor Documentation

KFileIconViewItem::KFileIconViewItem | ( | QIconView * | parent,
|  | KFileItem * | fi
| ) | `[inline]`

Since:
  3.1

Definition at line 49 of file kfileiconview.h.

## Member Function Documentation

KFileItem* KFileIconViewItem::fileInfo | ( |  | ) | const`[inline]`

Returns:
  the corresponding KFileItem

Definition at line 57 of file kfileiconview.h.

Referenced by KFileIconView::currentFileItem(), and KFileIconView::updateView().

The documentation for this class was generated from the following files:

- kfileiconview.h
- kfileiconview.cpp

This file is part of the documentation for kdelibs Version 3.1.5.
Documentation copyright © 1996-2002 the KDE developers.
Generated on Wed Jan 28 13:17:20 2004 by doxygen 1.3.4 written by Dimitri van Heesch, © 1997-2001